## python-igraph 0.8.0

=== vendor/source/igraph/src/SuiteSparse_config/Makefile ===
#-------------------------------------------------------------------------------
# SuiteSparse_config Makefile
#-------------------------------------------------------------------------------

VERSION = 4.2.1

default: ccode

include SuiteSparse_config.mk

ccode: libsuitesparseconfig.a

all: libsuitesparseconfig.a

library: libsuitesparseconfig.a

libsuitesparseconfig.a: SuiteSparse_config.c SuiteSparse_config.h
	$(CC) $(CF) -c SuiteSparse_config.c
	$(ARCHIVE) libsuitesparseconfig.a SuiteSparse_config.o
	$(RANLIB) libsuitesparseconfig.a
	- $(RM) SuiteSparse_config.o

distclean: purge

purge: clean
	- $(RM) *.o *.a

clean:
	- $(RM) -r $(CLEAN)

# install SuiteSparse_config
install:
	$(CP) libsuitesparseconfig.a $(INSTALL_LIB)/libsuitesparseconfig.$(VERSION).a
	( cd $(INSTALL_LIB) ; ln -sf libsuitesparseconfig.$(VERSION).a libsuitesparseconfig.a )
	$(CP) SuiteSparse_config.h $(INSTALL_INCLUDE)
	chmod 644 $(INSTALL_LIB)/libsuitesparseconfig*.a
	chmod 644 $(INSTALL_INCLUDE)/SuiteSparse_config.h

# uninstall SuiteSparse_config
uninstall:
	$(RM) $(INSTALL_LIB)/libsuitesparseconfig*.a
	$(RM) $(INSTALL_INCLUDE)/SuiteSparse_config.h

## python-igraph 0.5.4

=== debian/changelog ===
python-igraph (0.5.4-2) unstable; urgency=low

  * Stop installing /usr/bin/igrpah. (Closes: #664443)
  * debian/control: Change Maintainer to DPMT.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 18 Mar 2012 11:38:57 +0900

python-igraph (0.5.4-1) unstable; urgency=low

  * Initial release (Closes: #574825)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 17 Mar 2012 17:23:55 +0900

=== debian/control ===
Source: python-igraph
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> 
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 8.0.0),
	python-all-dev,
	python-setuptools,
	libigraph-dev
Standards-Version: 3.9.3
Homepage: http://igraph.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-igraph/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-igraph/trunk/

Package: python-igraph
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: High performance graph data structures and algorithms
 Python interface to the igraph high performance graph library, primarily
 aimed at complex network research and analysis.
 .
 Graph plotting functionality is provided by the Cairo library, so make
 sure you install the Python bindings of Cairo if you want to generate
 publication-quality graph plots.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@  --with python2

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/python-igraph/usr/bin/igraph

## python-igraph 0.6.5

=== debian/changelog ===
python-igraph (0.6.5-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * New upstream release
  * Bump Standards-Version to 3.9.4. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 06 Jun 2013 10:57:53 +0900

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 	python-all-dev,
 	python-setuptools,
 	libigraph-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://igraph.sourceforge.net/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-igraph/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-igraph/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-igraph/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-igraph/trunk/
 
 Package: python-igraph
 Architecture: any

## python-igraph 0.7.1post6

=== debian/changelog ===
python-igraph (0.7.1post6-0ubuntu2) wily; urgency=medium

  * Build-depend on pkg-config.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Sep 2015 23:11:12 +0200

python-igraph (0.7.1post6-0ubuntu1) wily; urgency=medium

  * New upstream version, fixing ftbfs.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Sep 2015 22:24:38 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Build-Depends: debhelper (>= 8.0.0),
 	python-all-dev,
 	python-setuptools,
-	libigraph-dev
-Standards-Version: 3.9.4
+	libigraph-dev,
+	pkg-config
+Standards-Version: 3.9.6
 Homepage: http://igraph.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-igraph/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-igraph/trunk/

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/python-igraph/python-igraph-(.*)\.tar\.gz

## python-igraph 0.7.1.post6

=== debian/changelog ===
python-igraph (0.7.1.post6-5) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.0.0.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 23 Sep 2017 10:30:14 +0200

python-igraph (0.7.1.post6-4) experimental; urgency=low

  * Bump compat level to 10 and update debhelper dependency accordingly.
  * Bump copyright years in debian/copyright.
  * Add hardening flags to the build options.
  * Fix AttributeError when plotting graph inline in jupyter notebook
    (Closes: #862054).

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 10 Jun 2017 10:10:02 +0200

python-igraph (0.7.1.post6-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Hugo Lefeuvre ]
  * Fix FTBFS on i386 (Closes: #806383).
  * debian/control:
    - Add myself to the uploaders.
    - Bump Standards-Version to 3.9.8.
    - Update Homepage field.
    - Update Description field for python-igraph and python3-igraph in order
      to avoid duplicates.
    - Add dh-python to the Build-Dependency list.
  * debian/compat, debian/control:
    - Bump compatibility to 9, and update dependency on debhelper to (> 9).
  * debian/copyright:
    - Add an entry for Hugo Lefeuvre.
    - Update copyright years.
  * debian/rules:
    - Stop shipping empty directory /usr/bin.

 -- Hugo Lefeuvre <hle@debian.org>  Wed, 24 Aug 2016 11:34:14 +0200

python-igraph (0.7.1.post6-2) unstable; urgency=medium

  * debian/control: Add pkg-config to Build-Depends. (Closes: #806230)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 26 Nov 2015 13:03:36 +0900

python-igraph (0.7.1.post6-1) unstable; urgency=medium

  * New upstream release. (Closes: #758211)
    +  Fix FTBFS. (Closes: #759858, #797829)
  * Bump Standards-Version to 3.9.6.
  * Support Python 3. (Closes: #742134)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 25 Nov 2015 13:51:21 +0900

=== debian/control ===
Source: python-igraph
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> 
Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
           Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
	       python-all-dev,
	       python-setuptools,
	       python3-all-dev,
	       python3-setuptools,
	       libigraph-dev,
	       pkg-config
Standards-Version: 4.0.0
Homepage: http://igraph.org/python/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-igraph.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-igraph.git

Package: python-igraph
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: High performance graph data structures and algorithms (Python 2)
 Python interface to the igraph high performance graph library, primarily
 aimed at complex network research and analysis.
 .
 Graph plotting functionality is provided by the Cairo library, so make
 sure you install the Python bindings of Cairo if you want to generate
 publication-quality graph plots.
 .
 This package contains the Python 2 version of igraph.

Package: python3-igraph
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: High performance graph data structures and algorithms (Python 3)
 Python interface to the igraph high performance graph library, primarily
 aimed at complex network research and analysis.
 .
 Graph plotting functionality is provided by the Cairo library, so make
 sure you install the Python bindings of Cairo if you want to generate
 publication-quality graph plots.
 .
 This package contains the Python 3 version of igraph.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=igraph

%:
	dh $@  --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/python-igraph/usr/bin/igraph
	rmdir $(CURDIR)/debian/python-igraph/usr/bin/
	rm -f $(CURDIR)/debian/python3-igraph/usr/bin/igraph
	rmdir $(CURDIR)/debian/python3-igraph/usr/bin/

=== debian/watch ===
version=3
http://pypi.debian.net/python-igraph/python-igraph-(.*)\.tar\.gz

## python-igraph 0.8.0

=== debian/changelog ===
python-igraph (0.8.0-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:48 +0100

python-igraph (0.8.0-2) unstable; urgency=medium

  * d/control: Add bison and libxml2-dev to B-D.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 11 Feb 2020 14:15:37 +0900

python-igraph (0.8.0-1) unstable; urgency=medium

  * d/salsa-ci.yml: Add a CI config file
  * New upstream version 0.8.0
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump Standards-Version to 4.5.0
  * d/patches/*: Remove upstream merged patches.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 11 Feb 2020 11:51:54 +0900

python-igraph (0.7.1.post6-8) unstable; urgency=medium

  * Team upload.
  * Convert git repository from git-dpm to gbp layout.
  * Bump Standards-Version to 4.4.1.
  * Drop Python 2 support (Closes: #937827).

 -- Ondřej Nový <onovy@debian.org>  Fri, 25 Oct 2019 13:19:35 +0200

python-igraph (0.7.1.post6-7) unstable; urgency=high

  * Patch by Nicolas Boulenguez, thanks!
  * Temporary workaround to avoid shipping headers in /usr/include/python3.7
    (instead of /usr/include/python3.7m). This is likely to be a
    python3-stdlib-extensions bug so we should consider removing this as soon
    as the bug as been addressed (Closes: #920337).
  * Migrate to compat = 12:
  * debian/control:
    - update debhelper dependency and migrate to debhelper-compat.
    - Rules-Requires-Root: no.
  * Remove now useless debian/compat file.
  * Bump debian/watch version to 4.

 -- Hugo Lefeuvre <hle@debian.org>  Mon, 04 Feb 2019 09:02:15 +0100

python-igraph (0.7.1.post6-6) unstable; urgency=high

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout

  [ Hugo Lefeuvre ]
  * Thanks to Nicolas Boulenguez for his patch suggestions !
  * debian/patches:
    - Disable buggy tests causing FTBFS (Closes: #912410).
    - Refresh patches.
  * Bump compat to 11.
  * debian/control:
    - Bump Standards-Version to 4.3.0.
    - Add python{3,}-numpy test dependency.
    - Add python{3,}-texttable dependency, stop using version from vendors/.
    - Bump debhelper dependency to >= 11.
    - Enable autopkgtest.
  * Bump copyright years.
  * Convert to git-dpm and run wrap-and-sort -a.

 -- Hugo Lefeuvre <hle@debian.org>  Tue, 22 Jan 2019 20:41:32 +0100

=== debian/control ===
Source: python-igraph
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
           Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libigraph-dev,
               pkg-config,
               python3-all-dev,
               python3-numpy,
               python3-setuptools,
               python3-texttable,
		bison,
		flex,
		libxml2-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: http://igraph.org/python/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-igraph.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-igraph

Package: python3-igraph
Architecture: any
Depends: python3-texttable,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Description: High performance graph data structures and algorithms (Python 3)
 Python interface to the igraph high performance graph library, primarily
 aimed at complex network research and analysis.
 .
 Graph plotting functionality is provided by the Cairo library, so make
 sure you install the Python bindings of Cairo if you want to generate
 publication-quality graph plots.
 .
 This package contains the Python 3 version of igraph.

## python-igraph 0.8.2

=== debian/changelog ===
python-igraph (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 30 May 2020 13:30:27 +0900

## python-igraph 0.8.3

=== debian/changelog ===
python-igraph (0.8.3-1build1) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:24:41 +0100

python-igraph (0.8.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ TANIGUCHI Takaki ]
  * New upstream version 0.8.3

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 07 Nov 2020 12:20:20 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-igraph
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
            Hugo Lefeuvre <hle@debian.org>
 Build-Depends: debhelper-compat (= 12),
@@ -19,8 +19,8 @@
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: http://igraph.org/python/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-igraph.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-igraph
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-igraph.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-igraph
 
 Package: python3-igraph
 Architecture: any
